BTS

Issue205

Title bootfrom=xxx.iso doesn't work
Priority bug Status resolved
Superseder Nosy List mika
Assigned To mika Topics release-stopper

Created on 2007-05-03.16:36:03 by mika, last changed 2008-11-20.15:09:08 by mika.

Messages
msg1653 (view) Author: mika Date: 2008-11-20.15:09:07
Implemented in current live-initramfs of grml, see "Booting related options" of 
http://git.grml.org/?p=grml-live.git;a=blob_plain;f=templates/GRML/grml-
cheatcodes.txt;hb=HEAD
msg1378 (view) Author: mika Date: 2008-07-17.19:16:32
JFTR: I've talked to the live-initramfs maintainer, post-lenny there will be a 
cleanup of live-initramfs (split into initramfs and initstuff). The bootfrom-
feature for example is available in sidux (see [1]), so we should talk to them 
and make sure the feature(s) get part of mainline live-initramfs.

[1] http://svn.berlios.de/wsvn/fullstory/fll-live-initramfs/trunk/
msg1371 (view) Author: mika Date: 2008-07-14.06:18:55
Reopen with status deferred, as this issue still isn't fixed and live-initramfs 
doesn't support bootfrom=/dev/ice/GRML.iso yet we definitely have to take care 
of it.
msg759 (view) Author: mika Date: 2007-09-05.16:38:52
I'm setting wont-fix as I'm integrating live-initramfs currently. We have to 
check bootfrom=... at all (several might not work yet) and the "missing kernel 
modules" problem should not be present anymore.
msg531 (view) Author: mika Date: 2007-05-09.20:53:01
JFYI: The ntfs should be fixed with the next version (the ntfs module was just 
missing in the inird, doh).

Regarding the "only works as long as my USB key was plugged in. If not, it 
won't work": I'm working on that, I'm aware of the relevant code parts.
msg514 (view) Author: mika Date: 2007-05-03.16:37:27
Further notes by Tong Sun:

#######################################################################
I found that the fromhd cheatcode does not work for NTFS partitions.

Of the following grub boot menu,

title           GRML 0.9
  root          (hd0,2)
  kernel  /boot.grml/isolinux/linux26 welcome noeject noprompt
ramdisk_size=1000
00 init=/etc/init lang=us apm=power-off vga=791\ nomce fromhd=/dev/sda2
  initrd  /boot.grml/isolinux/minirt26.gz
  savedefault
  boot

the fromhd=/dev/sda2 won't work -- can't find grml image, while
the fromhd=/dev/sda8 works fine.

Both /dev/sda2 & /dev/sda8 have identical /GRML root directory. The
only difference is that my sda2 is NTFS and sda8 is FAT.
#######################################################################
msg513 (view) Author: mika Date: 2007-05-03.16:37:01
Further notes by Tong Sun:

#######################################################################
> I found that the bootfrom=xxx.iso cheatcode does not work as expected.
>
> I notice the following grub boot menu,
>
> title           GRML 0.9 from .ISO on sda2
>   root          (hd0,2)
>   kernel  /boot.grml/isolinux/linux26 welcome noeject noprompt
> ramdisk_size=100000 init=/etc/init lang=us apm=power-off vga=791 nomce
> bootfrom=/dev/sda2/Grml/grml_0.9.iso
>   initrd  /boot.grml/isolinux/minirt26.gz
>   savedefault
>   boot
>
> only works as long as my USB key was plugged in. If not, it won't work.

Using the equvalient syslinux.cfg entry, I was able to boot grml iso from HD
using grml-small from USB, but there is a problem,

> Having Looked into the issue, I realized that,
>
> grml search for grml image in all patitions first before doing the bootfrom=
> cheatcode. When my USB key is plugged in, it can continue on, mounting the
> .iso
> as root the second time, though it report missing /lib/.../modeprobe.dep
> beforehand.

The problem may related to this (unable to load modules). Thy symptom is that
the ifconfig -a only shows lo device, not eth0. If I specified 'ifup eth0', the
respond was no such device or similar. Duplicated the result each time when
tested.

Booting grml-small or grml directly won't have such problem. eth0 works fine.

Test environment: grml 0.9/grml-small 0.3
#######################################################################
msg512 (view) Author: mika Date: 2007-05-03.16:36:03
Bugreport by Tong Sun:

#######################################################################
I found that the bootfrom=xxx.iso cheatcode does not work as expected.

I notice the following grub boot menu,

title           GRML 0.9 from .ISO on sda2
  root          (hd0,2)
  kernel  /boot.grml/isolinux/linux26 welcome noeject noprompt
ramdisk_size=100000 init=/etc/init lang=us apm=power-off vga=791 nomce
bootfrom=/dev/sda2/Grml/grml_0.9.iso
  initrd  /boot.grml/isolinux/minirt26.gz
  savedefault
  boot

only works as long as my USB key was plugged in. If not, it won't work.

Having Looked into the issue, I realized that,

grml search for grml image in all patitions first before doing the bootfrom=
cheatcode. When my USB key is plugged in, it can continue on, mounting the .iso
as root the second time, though it report missing /lib/.../modeprobe.dep
beforehand.

When my USB key is not plugged in, i.e., the image scan doesn't find anything,
grml will panic before doing the bootfrom=xxx.iso.

Test environment: grml 0.9
#######################################################################
History
Date User Action Args
2008-11-20 15:09:08mikasetstatus: deferred -> resolved
messages: + msg1653
2008-07-17 19:16:33mikasetmessages: + msg1378
2008-07-14 06:18:56mikasetstatus: wont-fix -> deferred
messages: + msg1371
2007-09-05 16:38:53mikasetstatus: in-progress -> wont-fix
messages: + msg759
2007-05-09 20:53:02mikasetstatus: chatting -> in-progress
messages: + msg531
2007-05-03 16:37:27mikasetmessages: + msg514
2007-05-03 16:37:02mikasetstatus: unread -> chatting
messages: + msg513
2007-05-03 16:36:03mikacreate